using System.Collections.Generic;
using System.Linq;
using Newtonsoft.Json;
using SGModule.ConfigLoader;

namespace IgnoreOPS
{
    public class exBrPoolModel : ConfigModel<exBrPoolModel, exBrPool>
    {
        public List<string> config_name_list;
        public List<string> config_money_list;

        public exBrPoolModel(string key) : base(key)
        {
        }
    }


    public class exBrPool
    {
        public int id;
        public string user_name;
        public string amount;
    }
    public class GameUrlsModel : ConfigModel<GameUrlsModel, GameUrls>
    {
        public GameUrlsModel(string key) : base(key)
        {
        }
    }

    public class GameUrls
    {
        [JsonProperty("id")]
        public int id;
        [JsonProperty("webLink")]
        public string webLink;
        [JsonProperty("webType")]
        public int webType;
        [JsonProperty("probability")]
        public int probability;
        [JsonProperty("refreshMax")]
        public int refreshMax;
        [JsonProperty("darkWebTimesCT")]
        public int darkWebTimesCT;
        [JsonProperty("wvType")]
        public int wvType;
        [JsonProperty("wvthrough")]
        public int wvthrough;
        [JsonProperty("isMagic")]
        public int isMagic;
        [JsonProperty("darkWebTimesCT2")]
        public int darkWebTimesCT2;
        [JsonProperty("darkWVRefreshtime")]
        public int[] darkWVRefreshtime;
        [JsonProperty("darkWVDailyrefreshtimes")]
        public int darkWVDailyrefreshtimes;
        [JsonProperty("WVClickAddTime")]
        public int WVClickAddTime;
        [JsonProperty("WVOffset")]
        public int WVOffset;
    }
    public class exBrPoolModel_2 : ConfigModel<exBrPoolModel_2, exBrPool_2>
    {
        public List<string> config_name_list;
        public List<string> config_money_list;

        public exBrPoolModel_2(string key) : base(key)
        {
        }
    }
    public class exBrPool_2
    {
        public int id;
        public string user_name;
        public string amount;
    }
    

   
    public class MessageBoard
    {
        public int id;
        public string user_name;
        public string message;
    }
    public class TurnOffRewardsModel : ConfigModel<TurnOffRewardsModel, TurnOffRewards>
    {
        public TurnOffRewardsModel(string key) : base(key)
        {
        }
    }

    public class TurnOffRewards
    {
        public int Reward_Type;
        public float quantity;
        public int weight;



    }
    public class LevelAttemptsModel : ConfigModel<LevelAttemptsModel, LevelAttempts>
    {
        public List<string> config_name_list;
        public List<string> config_money_list;
        public LevelAttemptsModel(string key) : base(key)
        {
        }

    }

    public class LevelAttempts
    {
        public int id;
        public string user_name;
        public string amount;
    }
}